# -*- coding: utf-8 -*-
from setuphelpers import *


def update_package():
    # Declaring local variables
    result = False
    proxies = get_proxies()
    if not proxies:
        proxies = get_proxies_from_wapt_console()
    bin_temp = "Intel-Driver-and-Support-Assistant-Installer.exe"
    bin_name_sub = "Intel-Driver-and-Support-Assistant-Installer-%s.exe"
    url_dl = "https://dsadata.intel.com/installer"

    print("Download url is: %s" % url_dl)

    # Downloading latest binaries
    if isfile(bin_temp):
        remove_file(bin_temp)
    if not isfile(bin_temp):
        print("Downloading: %s" % bin_temp)
        wget(url_dl, bin_temp, proxies=proxies)

        # Getting version from binary and renaming binary
        version = get_version_from_binary(bin_temp)
        latest_bin = bin_name_sub % version
        if not isfile(latest_bin):
            print("Renaming binary with the version number of the binary (%s)" % latest_bin)
            os.rename(bin_temp, latest_bin)

    # Changing version of the package
    if Version(version) > Version(control.get_software_version()):
        print("Software version updated (from: %s to: %s)" % (control.get_software_version(), Version(version)))
        result = True
    control.version = "%s-%s" % (Version(version), control.version.split("-", 1)[-1])
    # control.set_software_version(Version(version))
    control.save_control_to_wapt()

    # Deleting outdated binaries
    remove_outdated_binaries(version)

    # Validating update-package-sources
    return result